# gitea-gitignores-optional

Optional set of `.gitignore` files primarily to extend the default set available in Gitea instances

From [the Gitea docs "Customizing Gitea" page, section "gitignores"](https://docs.gitea.io/en-us/customizing-gitea/#gitignores), put as many `.gitignore` files as you want into your Gitea instance's `${GITEA_CUSTOM}/options/gitignore` location. The value of `${GITEA_CUSTOM}` is available from `gitea help` and defaults to `/data/gitea`. You'll likely want to remove the `.gitignore` extension.

After a Gitea restart presets are available in the *New Repository* dialog:

![Gitea New Repository dialog with custom gitignore preset](https://i.imgur.com/xsFxKgX.png "Gitea New Repository dialog with custom gitignore preset")

Gitignore presets show up in Gitea's *New Repository* dialog with the exact name given to files in `${GITEA_CUSTOM}/options/gitignore`. The example preset `JetBrainsWorkspace` shown on the screenshot comes from a file `${GITEA_CUSTOM}/options/gitignore/JetBrainsWorkspace`.